# H245_AudioCapability Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum

Choices {
e_nonStandard, e_g711Alaw64k, e_g711Alaw56k, e_g711Ulaw64k,
e_g711Ulaw56k, e_g722_64k, e_g722_56k, e_g722_48k,
e_g7231, e_g728, e_g729, e_g729AnnexA,
e_is11172AudioCapability, e_is13818AudioCapability, e_g729wAnnexB, e_g729AnnexAwAnnexB,
e_g7231AnnexCCapability, e_gsmFullRate, e_gsmHalfRate, e_gsmEnhancedFullRate,
e_genericAudioCapability, e_g729Extensions, e_vbd, e_audioTelephonyEvent,
e_audioTone
}

## Public Member Functions

| H245_AudioCapability (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_NonStandardParameter & ()
| operator const H245_NonStandardParameter & () const
| operator H245_AudioCapability_g7231 & ()
| operator const H245_AudioCapability_g7231 & () const
| operator H245_IS11172AudioCapability & ()
| operator const H245_IS11172AudioCapability & () const
| operator H245_IS13818AudioCapability & ()
| operator const H245_IS13818AudioCapability & () const
| operator H245_G7231AnnexCCapability & ()
| operator const H245_G7231AnnexCCapability & () const
| operator H245_GSMAudioCapability & ()
| operator const H245_GSMAudioCapability & () const
| operator H245_GenericCapability & ()
| operator const H245_GenericCapability & () const
| operator H245_G729Extensions & ()
| operator const H245_G729Extensions & () const
| operator H245_VBDCapability & ()
| operator const H245_VBDCapability & () const
| operator H245_NoPTAudioTelephonyEventCapability & ()
| operator const H245_NoPTAudioTelephonyEventCapability & () const
| operator H245_NoPTAudioToneCapability & ()
| operator const H245_NoPTAudioToneCapability & () const
void | PrintOn (ostream &strm) const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_AudioCapability::Choices

Enumerator:

  e_nonStandard |
  e_g711Alaw64k |
  e_g711Alaw56k |
  e_g711Ulaw64k |
  e_g711Ulaw56k |
  e_g722_64k |
  e_g722_56k |
  e_g722_48k |
  e_g7231 |
  e_g728 |
  e_g729 |
  e_g729AnnexA |
  e_is11172AudioCapability |
  e_is13818AudioCapability |
  e_g729wAnnexB |
  e_g729AnnexAwAnnexB |
  e_g7231AnnexCCapability |
  e_gsmFullRate |
  e_gsmHalfRate |
  e_gsmEnhancedFullRate |
  e_genericAudioCapability |
  e_g729Extensions |
  e_vbd |
  e_audioTelephonyEvent |
  e_audioTone |

## Constructor & Destructor Documentation

H245_AudioCapability::H245_AudioCapability | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_AudioCapability::operator H245_NonStandardParameter & | ( |  | ) |

H245_AudioCapability::operator const H245_NonStandardParameter & | ( |  | ) | const

H245_AudioCapability::operator H245_AudioCapability_g7231 & | ( |  | ) |

H245_AudioCapability::operator const H245_AudioCapability_g7231 & | ( |  | ) | const

H245_AudioCapability::operator H245_IS11172AudioCapability & | ( |  | ) |

H245_AudioCapability::operator const H245_IS11172AudioCapability & | ( |  | ) | const

H245_AudioCapability::operator H245_IS13818AudioCapability & | ( |  | ) |

H245_AudioCapability::operator const H245_IS13818AudioCapability & | ( |  | ) | const

H245_AudioCapability::operator H245_G7231AnnexCCapability & | ( |  | ) |

H245_AudioCapability::operator const H245_G7231AnnexCCapability & | ( |  | ) | const

H245_AudioCapability::operator H245_GSMAudioCapability & | ( |  | ) |

H245_AudioCapability::operator const H245_GSMAudioCapability & | ( |  | ) | const

H245_AudioCapability::operator H245_GenericCapability & | ( |  | ) |

H245_AudioCapability::operator const H245_GenericCapability & | ( |  | ) | const

H245_AudioCapability::operator H245_G729Extensions & | ( |  | ) |

H245_AudioCapability::operator const H245_G729Extensions & | ( |  | ) | const

H245_AudioCapability::operator H245_VBDCapability & | ( |  | ) |

H245_AudioCapability::operator const H245_VBDCapability & | ( |  | ) | const

H245_AudioCapability::operator H245_NoPTAudioTelephonyEventCapability & | ( |  | ) |

H245_AudioCapability::operator const H245_NoPTAudioTelephonyEventCapability & | ( |  | ) | const

H245_AudioCapability::operator H245_NoPTAudioToneCapability & | ( |  | ) |

H245_AudioCapability::operator const H245_NoPTAudioToneCapability & | ( |  | ) | const

void H245_AudioCapability::PrintOn | ( | ostream & | strm | ) | const

PBoolean H245_AudioCapability::CreateObject | ( |  | ) |

PObject* H245_AudioCapability::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h